Update a project domain
curl --request PATCH \
--url {schemes}://api.upsun.com/projects/{projectId}/domains/{domainId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": {},
"is_default": true
}
'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/domains/{domainId}"
payload = {
"attributes": {},
"is_default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({attributes: {}, is_default: true})
};
fetch('{schemes}://api.upsun.com/projects/{projectId}/domains/{domainId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"code": 123
}Domain Management
Update a project domain
Update the information associated with a single user-specified domain associated with a project.
PATCH
/
projects
/
{projectId}
/
domains
/
{domainId}
Update a project domain
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on June 16, 2026
Was this page helpful?
⌘I